{
    "name": "chill-project/chill-bundles",
    "description": "Most used bundles for chill-project",
    "license": "AGPL-3.0-only",
    "type": "library",
    "keywords": [
        "chill",
        "social worker"
    ],
    "require": {
        "php": "^8.2",
        "ext-dom": "*",
        "ext-json": "*",
        "ext-openssl": "*",
        "ext-redis": "*",
        "ext-zlib": "*",
        "champs-libres/wopi-bundle": "dev-symfony-v5@dev",
        "champs-libres/wopi-lib": "dev-master@dev",
        "doctrine/data-fixtures": "^1.8",
        "doctrine/doctrine-bundle": "^2.1",
        "doctrine/doctrine-migrations-bundle": "^3.0",
        "doctrine/orm": "^2.13.0",
        "erusev/parsedown": "^1.7",
        "knplabs/knp-menu-bundle": "^3.0",
        "knplabs/knp-time-bundle": "^1.12",
        "knpuniversity/oauth2-client-bundle": "^2.10",
        "league/csv": "^9.7.1",
        "lexik/jwt-authentication-bundle": "^2.16",
        "nyholm/psr7": "^1.4",
        "ocramius/package-versions": "^1.10 || ^2",
        "odolbeau/phone-number-bundle": "^3.6",
        "ovh/ovh": "^3.0",
        "phpoffice/phpspreadsheet": "^1.16",
        "ramsey/uuid-doctrine": "^1.7",
        "sensio/framework-extra-bundle": "^5.5",
        "smalot/pdfparser": "^2.10",
        "spomky-labs/base64url": "^2.0",
        "symfony/asset": "^5.4",
        "symfony/browser-kit": "^5.4",
        "symfony/cache": "^5.4",
        "symfony/clock": "^6.2",
        "symfony/config": "^5.4",
        "symfony/console": "^5.4",
        "symfony/css-selector": "^5.4",
        "symfony/dom-crawler": "^5.4",
        "symfony/error-handler": "^5.4",
        "symfony/event-dispatcher": "^5.4",
        "symfony/event-dispatcher-contracts": "^2.4",
        "symfony/expression-language": "^5.4",
        "symfony/filesystem": "^5.4",
        "symfony/finder": "^5.4",
        "symfony/form": "^5.4",
        "symfony/framework-bundle": "^5.4",
        "symfony/http-client": "^5.4",
        "symfony/http-foundation": "^5.4",
        "symfony/intl": "^5.4",
        "symfony/mailer": "^5.4",
        "symfony/messenger": "^5.4",
        "symfony/mime": "^5.4",
        "symfony/monolog-bundle": "^3.5",
        "symfony/notifier": "^5.4",
        "symfony/options-resolver": "^5.4",
        "symfony/ovh-cloud-notifier": "^5.4",
        "symfony/process": "^5.4",
        "symfony/property-access": "^5.4",
        "symfony/property-info": "^5.4",
        "symfony/routing": "^5.4",
        "symfony/security-bundle": "^5.4",
        "symfony/security-core": "^5.4",
        "symfony/security-csrf": "^5.4",
        "symfony/security-guard": "^5.4",
        "symfony/security-http": "^5.4",
        "symfony/serializer": "^5.4",
        "symfony/string": "^5.4",
        "symfony/templating": "^5.4",
        "symfony/translation": "^5.4",
        "symfony/twig-bundle": "^5.4",
        "symfony/ux-translator": "^2.22",
        "symfony/validator": "^5.4",
        "symfony/webpack-encore-bundle": "^1.11",
        "symfony/workflow": "^5.4",
        "symfony/yaml": "^5.4",
        "thenetworg/oauth2-azure": "^2.0",
        "twig/extra-bundle": "^3.0",
        "twig/intl-extra": "^3.0",
        "twig/markdown-extra": "^3.3",
        "twig/string-extra": "^3.3",
        "twig/twig": "^3.0"
    },
    "require-dev": {
        "doctrine/doctrine-fixtures-bundle": "^3.3",
        "fakerphp/faker": "^1.13",
        "friendsofphp/php-cs-fixer": "3.65.0",
        "jangregor/phpstan-prophecy": "^1.0",
        "nelmio/alice": "^3.8",
        "nikic/php-parser": "^4.15",
        "phpspec/prophecy-phpunit": "^2.0",
        "phpstan/extension-installer": "^1.2",
        "phpstan/phpstan": "^1.9",
        "phpstan/phpstan-deprecation-rules": "^1.1",
        "phpstan/phpstan-strict-rules": "^1.0",
        "phpunit/phpunit": "^10.5.24",
        "rector/rector": "^1.1.0",
        "symfony/amqp-messenger": "^5.4.45",
        "symfony/debug-bundle": "^5.4",
        "symfony/dotenv": "^5.4",
        "symfony/flex": "^2.4",
        "symfony/maker-bundle": "^1.20",
        "symfony/phpunit-bridge": "^7.1",
        "symfony/runtime": "^5.4",
        "symfony/stopwatch": "^5.4",
        "symfony/var-dumper": "^5.4",
        "symfony/web-profiler-bundle": "^5.4"
    },
    "conflict": {
        "symfony/symfony": "*"
    },
    "autoload": {
        "psr-4": {
            "Chill\\ActivityBundle\\": "src/Bundle/ChillActivityBundle",
            "Chill\\AsideActivityBundle\\": "src/Bundle/ChillAsideActivityBundle/src",
            "Chill\\BudgetBundle\\": "src/Bundle/ChillBudgetBundle",
            "Chill\\CalendarBundle\\": "src/Bundle/ChillCalendarBundle",
            "Chill\\CustomFieldsBundle\\": "src/Bundle/ChillCustomFieldsBundle",
            "Chill\\DocGeneratorBundle\\": "src/Bundle/ChillDocGeneratorBundle",
            "Chill\\DocStoreBundle\\": "src/Bundle/ChillDocStoreBundle",
            "Chill\\EventBundle\\": "src/Bundle/ChillEventBundle",
            "Chill\\FranceTravailApiBundle\\": "src/Bundle/ChillFranceTravailApiBundle/src",
            "Chill\\JobBundle\\": "src/Bundle/ChillJobBundle/src",
            "Chill\\MainBundle\\": "src/Bundle/ChillMainBundle",
            "Chill\\PersonBundle\\": "src/Bundle/ChillPersonBundle",
            "Chill\\ReportBundle\\": "src/Bundle/ChillReportBundle",
            "Chill\\TaskBundle\\": "src/Bundle/ChillTaskBundle",
            "Chill\\ThirdPartyBundle\\": "src/Bundle/ChillThirdPartyBundle",
            "Chill\\WopiBundle\\": "src/Bundle/ChillWopiBundle/src",
            "Chill\\Utils\\Rector\\": "utils/rector/src"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "App\\": "src/app",
            "Chill\\DocGeneratorBundle\\Tests\\": "src/Bundle/ChillDocGeneratorBundle/tests",
            "Chill\\WopiBundle\\Tests\\": "src/Bundle/ChillDocGeneratorBundle/tests",
            "Chill\\Utils\\Rector\\Tests\\": "utils/rector/tests"
        }
    },
    "config": {
        "allow-plugins": {
            "composer/package-versions-deprecated": true,
            "ergebnis/composer-normalize": true,
            "ocramius/package-versions": true,
            "phpro/grumphp": true,
            "phpstan/extension-installer": true,
            "roave/you-are-using-it-wrong": true,
            "symfony/runtime": true,
            "symfony/flex": true
        },
        "optimize-autoloader": true,
        "sort-packages": true
    },
    "scripts": {
        "auto-scripts": {
            "cache:clear": "symfony-cmd",
            "assets:install %PUBLIC_DIR%": "symfony-cmd"
        },
        "php-cs-fixer": "php-cs-fixer fix --config=./.php-cs-fixer.dist.php --show-progress=none",
        "phpstan":  "phpstan --no-progress",
        "rector": "rector --no-progress-bar"
    },
    "extra": {
        "symfony": {
            "docker": true
        }
    }
}
